import {
  submit,
  singleQueryPath,
} from "../publicMethod/PublicMethod.js";
import  dictionariesApi  from "../api/dictionariesApi";
import { request } from "../globalConfiguration";
//字典接口

/**
 * @Get 请求
 * @param {*} data
 * zdy 字典域    在路径后面（path）  例如：/dict/list/DOMAIN_ORG_TYPE
 * @param {*} config  配置项
 */
function getDictionariesList(data, config = {}) {
  return new Promise((resolve, reject) => {
    request(
      singleQueryPath(data, dictionariesApi.getDictionariesList, config)
    ).then(({ result }) => {
      resolve(
        result.map((item) => ({
          id: item.id,
          index: item.idx,
          name: item.mc,
          type: item.ms,
          dictionarySource: item.zdz,
        }))
      );
    });
  });
}
/**
 * @Post 请求
 * @param {*} data 传入字典值列表 
 * @param {*} config 
 * @returns 
 */
function dictDictionariesList(data, config = {}) {
  return new Promise((resolve, reject) => {
   request(
    submit(data, dictionariesApi.getDictionariesList, config)
  ).then(({ result })=>{
    resolve(
      result.map((item) => ({
        id: item.id,
        index: item.idx,
        name: item.mc,
        type: item.ms,
        dictionarySource:item.zdz,
      }))
    );
  });
});
}

export { getDictionariesList ,dictDictionariesList};
